 MODULE comcfo

   !!======================================================================
   !!                   ***  MODULE comcfo  ***
   !! 
   !!======================================================================
   !! * Modules used
   USE parameters

   !! * Accessibility

   !! * Shared or public module variables

   !! * Private variables
   !real(kind=rsh)        :: mslshift,hrdef,hminfrot,h0fond,dhj,hminim,hminkxky
   REAL(kind=rsh),DIMENSION(imin:imax,jmin:jmax)         :: uext,xext,vext
   REAL(kind=rsh),DIMENSION(kmax,imin:imax,jmin:jmax)    :: uzext, vzext, bzext
   REAL(kind=rsh),DIMENSION(3:4,jmin:jmax,1:kmax,1:kmax) :: Mn_est_ouest !jm
   REAL(kind=rsh),DIMENSION(1:2,imin:imax,1:kmax,1:kmax) :: Mn_nord_sud !jm
   REAL(kind=rsh),DIMENSION(3:4,jmin:jmax,1:kmax)	 :: Cn_est_ouest 
   REAL(kind=rsh),DIMENSION(1:2,imin:imax,1:kmax)	 :: Cn_nord_sud
   !JM pour debugger ... compteur du nombre d appel
   INTEGER :: YYcount=0
   !JM barotrope=.true. ssi rho  est constant sur la verticale au point considere
   LOGICAL,DIMENSION(3:4,jmin:jmax) :: barotrope_est_ouest 
   LOGICAL,DIMENSION(1:2,imin:imax) :: barotrope_nord_sud
   !JM Nombre de modes utilises pour le calcul
   INTEGER :: nModes

   !!======================================================================

 END MODULE comcfo
